Skip to main content

Update company

PUT /organizations/:organization_id/


URL

https://system_domain/api/v2/organizations/123/


Parameters

PATH-parameters

ParameterTypeRequiredDescription
organization_idnumberYesCompany ID

Request body parameters (JSON)

ParameterTypeRequiredDescription
namestringNoCompany name
domainsstringNoCompany domains (comma-separated)
addressstringNoAddress
phonestringNoPhone number
emailstringNoEmail
webstringNoWebsite URL
minute_limitnumberNoAllocated time for request execution per month in minutes
employees[]arrayNoArray of employees
managers[]arrayNoArray of managers
custom_fields[]arrayNoArray of company custom fields

Request body example (JSON)

{
"name": "New company",
"domains": "@domain1.com, @domain2.com", // use "" for empty value
"address": "New York, Test St. 123", // use "" for empty value
"phone": "+1 (718) 555-5678", // use "" for empty value
"email": "[email protected]", // use "" for empty value
"web": "https://testcompany.com", // use "" for empty value
"minute_limit": 360,
"employees": [ // use [] for empty value
1513553
],
"managers": [ // use [] for empty value
1513553
],
"custom_fields": {
"100": "Field value of type (Text Field)", // Example for field type "Text Field" (ID = 100), use "" for empty value
"101": "Field value of type (Text Area)", // Example for field type "Text Area" (ID = 101), use "" for empty value
"103": "398", // Example for field type "Dropdown List" (ID = 103), specify ID of the field value, use "" for empty value
"107": { // Example for field type "Related Fields" (ID = 107)
"1": 416, // ID field value of the first level
"2": 422 // ID field value of the second level
},
// "107": {
// "1": 0, // Structure for specifying empty value for "Related Fields" type
// },
"104": "1", // Example for field type "Checkbox" (ID = 104), use "" for empty value
"105": "01.01.2027", // Example for field type "Date" (ID = 105), use "" for empty value
"106": "1" // Example for field type "Number Field" (ID = 106), use "" for empty value
}
}

Responses

Response example
{
"data": {
"id": 123,
"date_created": "2025-12-09 11:52:41",
"date_updated": "2025-12-09 12:01:09",
"name": "New company",
"domains": "@domain1.com, @domain2.com",
"address": "New York, Test St. 123",
"phone": "+1 (718) 555-5678",
"email": "[email protected]",
"web": "https://testcompany.com",
"minute_limit": 360,
"employees": [
1513553
],
"managers": [
1513553
],
"custom_fields": [
{
"id": 100,
"field_type": "text",
"field_value": "Field value of type (Text Field)"
},
{
"id": 101,
"field_type": "textarea",
"field_value": "Field value of type (Text Area)"
},
{
"id": 103,
"field_type": "select",
"field_value": {
"id": 398,
"name": {
"en": "Meaning 1",
"ru": "",
"ua": ""
}
}
},
{
"id": 107,
"field_type": "hierarchy",
"field_value": {
"1": {
"id": 416,
"name": {
"en": "First-level parent element",
"ru": "",
"ua": ""
}
},
"2": {
"id": 422,
"name": {
"en": "Second-level child element",
"ru": "",
"ua": ""
}
}
}
},
{
"id": 104,
"field_type": "checkbox",
"field_value": 1
},
{
"id": 105,
"field_type": "date",
"field_value": "01.01.2027"
},
{
"id": 106,
"field_type": "number",
"field_value": "1"
}
]
}
}